> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Player

> Removes a user's player account from a title and deletes all associated data

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| APINotEnabledForGameServerAccess | 1194 |




## OpenAPI

````yaml /services/playfab/api-references/rest/server/server.openapi.json post /Server/DeletePlayer
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Server API
  description: >-
    Provides functionality to allow external (developer-controlled) servers to
    interact with user inventories and data in a trusted manner, and to handle
    matchmaking and client connection orchestration
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
paths:
  /Server/DeletePlayer:
    post:
      tags:
        - Account Management
      summary: Delete Player
      description: >
        Removes a user's player account from a title and deletes all associated
        data


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | APINotEnabledForGameServerAccess | 1194 |
      operationId: DeletePlayer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeletePlayerRequest'
        description: >-
          Deletes all data associated with the player, including statistics,
          custom data, inventory, purchases, virtual currency balances,
          characters and shared group memberships. Removes the player from all
          leaderboards and player search indexes. Does not delete PlayStream
          event history associated with the player. Does not delete the
          publisher user account that created the player in the title nor
          associated data such as username, password, email address, account
          linkages, or friends list. Note, this API queues the player for
          deletion and returns immediately. It may take several minutes or more
          before all player data is fully deleted. Until the player data is
          fully deleted, attempts to recreate the player with the same user
          account in the same title will fail with the 'AccountDeleted' error.
          This API must be enabled for use as an option in the game manager
          website. It is disabled by default.
      responses:
        '200':
          $ref: '#/components/responses/DeletePlayerResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    DeletePlayerRequest:
      description: >-
        Deletes all data associated with the player, including statistics,
        custom data, inventory, purchases, virtual currency balances, characters
        and shared group memberships. Removes the player from all leaderboards
        and player search indexes. Does not delete PlayStream event history
        associated with the player. Does not delete the publisher user account
        that created the player in the title nor associated data such as
        username, password, email address, account linkages, or friends list.
        Note, this API queues the player for deletion and returns immediately.
        It may take several minutes or more before all player data is fully
        deleted. Until the player data is fully deleted, attempts to recreate
        the player with the same user account in the same title will fail with
        the 'AccountDeleted' error. This API must be enabled for use as an
        option in the game manager website. It is disabled by default.
      type: object
      properties:
        PlayFabId:
          description: >-
            Unique PlayFab assigned ID of the user on whom the operation will be
            performed.
          type: string
      required:
        - PlayFabId
      example:
        PlayFabId: A68C908B66C23C5
    DeletePlayerResult:
      type: object
      properties: {}
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    DeletePlayerResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/DeletePlayerResult'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Delete Player](/services/playfab/api-references/rest/admin/account-management/delete-player.md)
- [Delete Player Shared Secret](/services/playfab/api-references/rest/admin/authentication/delete-player-shared-secret.md)
- [Delete Player Custom Properties](/services/playfab/api-references/rest/admin/player-data-management/delete-player-custom-properties.md)
- [PFAccountManagementDeletePlayerRequest](/services/playfab/api-references/c/pfaccountmanagementtypes/structs/pfaccountmanagementdeleteplayerrequest.md)
- [PlayFab GDPR - Delete Player Data](/services/playfab/data-analytics/privacy-compliance/gdpr-deleting-player-data.md)
